## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           qrtr
Version:        1.1
Release:        %autorelease
Summary:        Service listing daemon for Qualcomm IPC Router

# src/map.c is BSD-2-Clause, the rest is BSD-3-Clause
License:        BSD-3-Clause AND BSD-2-Clause
URL:            https://github.com/linux-msm/qrtr
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         qrtr-restore-soname.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  systemd

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Obsoletes:      pd-mapper < 1.0-6
Provides:       pd-mapper < 1.0-6

%description
This package provides the userspace component for the Qualcomm IPC Router
protocol, which maintains a service listing and allows peforming lookups.

%package        libs
Summary:        Shared libraries for %{name}

%description    libs
This packages provides shared libraries for %{name}.

%package        devel
Summary:        Development headers and libraries for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
This packages provides development headers and libraries for %{name}.

%prep
%autosetup -p1

%build
%meson -Dsystemd-unit-prefix=%{_unitdir} -Dqrtr-ns=disabled
%meson_build

%install
%meson_install

%files
%{_bindir}/qrtr-cfg
%{_bindir}/qrtr-lookup

%files devel
%{_includedir}/libqrtr.h
%{_libdir}/libqrtr.so
%{_libdir}/pkgconfig/qrtr.pc

%files libs
%license LICENSE
%{_libdir}/libqrtr.so.1*

%changelog
## START: Generated by rpmautospec
* Mon Aug 05 2024 Peter Robinson <pbrobinson@gmail.com> - 1.1-2
- "Drop qrtr-ns, obsolete pd-mapper for clean upgrade

* Thu Aug 01 2024 Peter Robinson <pbrobinson@gmail.com> - 1.1-1
- Update to 1.1, move to meson build

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0-1
- Initial import; Fixes: RHBZ#2221421
## END: Generated by rpmautospec
